# IRcSelTransformChange Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateTransformAlg ([in] IRdUVEditorData *pData,[in] RtDWORD userAction)
HRESULT | EnableAxis ([in] RtBool x_enable,[in] RtBool y_enable)
HRESULT | SetSensitivity ([in] RtFloat sensitivity_x,[in] RtFloat sensitivity_y)
HRESULT | SetRefreshInterval ([in] RtDWORD interval)
HRESULT | AllowRightButton ([in] RtBool allow)
HRESULT | LockCenter ([in] RtBool lock)

## Detailed Description

Tool is used to change scale, position and rotation of selection.

- Uses one of CRsTransformChangeAlg descendants to translate mouse movement to selection transform.
- Also used by UVE widget in alternate way to modify selection transform.

## Member Function Documentation

HRESULT IRcSelTransformChange::CreateTransformAlg | ( | [in] IRdUVEditorData * | pData,
|  | [in] RtDWORD | userAction |
| ) |  |  |

Creates internal selection transform algorithm according to specified user action.

Parameters:

  | pData | [in] Current editor data, used to determine number of nodes.
  | userAction | [in] One of UVUA_XXX to determine which transform alg is created.

HRESULT IRcSelTransformChange::EnableAxis | ( | [in] RtBool | x_enable,
|  | [in] RtBool | y_enable |
| ) |  |  |

Disables or enables X and/or Y mouse axis for processing within command.

- If for example Y axis is disabled for movement tool, selection will move only horizontally.
- Used by UVE widget.

Parameters:

  | x_enable | [in] .
  | y_enable | [in] .

HRESULT IRcSelTransformChange::SetSensitivity | ( | [in] RtFloat | sensitivity_x,
|  | [in] RtFloat | sensitivity_y |
| ) |  |  |

Sets the sensitivity multiplier for both axis.

Parameters:

  | sensitivity_x | [in] .
  | sensitivity_y | [in] .

HRESULT IRcSelTransformChange::SetRefreshInterval | ( | [in] RtDWORD | interval | ) |

Forces algorithm to process only every n-th mouse movement event to reduce workload.

Parameters:

  | interval | [in] .

HRESULT IRcSelTransformChange::AllowRightButton | ( | [in] RtBool | allow | ) |

Enables usage of right button the same way as left.

- Used by widget for its actions invoked by dragging right mouse button.

Parameters:

  | allow | [in] .

HRESULT IRcSelTransformChange::LockCenter | ( | [in] RtBool | lock | ) |

Disallows movement of selection center when true specified.

Parameters:

  | lock | [in] .